package com.rjconsultores.ventaboletos.vo.impressaofiscal;

import java.math.BigDecimal;

public class ItemRelatorioVoucher {

	private String situacao;
	private String competenciaEntrega;
	private String competenciaVenda;
	private String competenciaCancelamento;
	private BigDecimal tarifa;
	private BigDecimal pedagio;
	private BigDecimal embarque;
	private BigDecimal seguro;
	private Integer qtde;

	public String getSituacao() {
		return situacao;
	}

	public void setSituacao(String situacao) {
		this.situacao = situacao;
	}

	public BigDecimal getTarifa() {
		return tarifa;
	}

	public void setTarifa(BigDecimal tarifa) {
		this.tarifa = tarifa;
	}

	public BigDecimal getPedagio() {
		return pedagio;
	}

	public void setPedagio(BigDecimal pedagio) {
		this.pedagio = pedagio;
	}

	public BigDecimal getEmbarque() {
		return embarque;
	}

	public void setEmbarque(BigDecimal embarque) {
		this.embarque = embarque;
	}

	public BigDecimal getSeguro() {
		return seguro;
	}

	public void setSeguro(BigDecimal seguro) {
		this.seguro = seguro;
	}

	public Integer getQtde() {
		return qtde;
	}

	public void setQtde(Integer qtde) {
		this.qtde = qtde;
	}

	public BigDecimal getTotal() {
		BigDecimal total = BigDecimal.ZERO;
		total = total.add(getEmbarque())
				.add(getPedagio())
				.add(getSeguro())
				.add(getTarifa());
		return total;
	}

	public String getCompetenciaEntrega() {
		return competenciaEntrega;
	}

	public void setCompetenciaEntrega(String competenciaEntrega) {
		this.competenciaEntrega = competenciaEntrega;
	}

	public String getCompetenciaVenda() {
		return competenciaVenda;
	}

	public void setCompetenciaVenda(String competenciaVenda) {
		this.competenciaVenda = competenciaVenda;
	}

	public String getCompetenciaCancelamento() {
		return competenciaCancelamento;
	}

	public void setCompetenciaCancelamento(String competenciaCancelamento) {
		this.competenciaCancelamento = competenciaCancelamento;
	}

}
